gio-sharp GLib.Object : Authentication methods for mountable locations.

provides a mechanism for authenticating mountable operations, such as loop mounting files, hard drive partitions or server locations.

Mounting operations are handed a that then can use if they require any privileges or authentication for their volumes to be mounted (e.g. a hard disk partition or an encrypted filesystem), or if they are implementing a remote server protocol which requires user credentials such as FTP or WebDAV.

Users should instantiate a subclass of this that implements all the various callbacks to show the required dialogs, such as .

- Constructor
  Creates a new mount operation.
  This is not normally used, instead you instantiate a subclass of this, such as .
- Constructor
  Native object pointer.
  Internal constructor
  This is not typically used by C# code. Exposed primarily for use by language bindings to wrap native object instances.
- Event
  GLib.Signal("aborted")
  System.EventHandler To be added. To be added.
- Property
  GLib.Property("anonymous")
  System.Boolean Wether to use an anonymous user when authenticating. To be added. Default to False.
- Event
  GLib.Signal("ask-password")
  GLib.AskPasswordHandler Emitted when a mount operation asks the user for a password. To be added.
- Event
  GLib.Signal("ask-question")
  GLib.AskQuestionHandler Emitted when asking the user a question and gives a list of choices for the user to choose from. To be added.
- Property
  GLib.Property("choice")
  System.Int32 The index of the user's choice when a question is asked. The index of the user's choice when a question is asked during the mount operation.

  Allowed values: >= 0

  Default value: 0

  See also .

- Property
  GLib.Property("domain")
  System.String The domain to use for the mount operation. The domain to use for the mount operation. Default value: null.
- Method
  System.Void `` A Emits the signal. To be added.
- Property
  GLib.GType GType Property. The native value. Returns the native value for .
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideAborted", Type=typeof(GLib.MountOperation))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideAskPassword", Type=typeof(GLib.MountOperation))
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. Default handler for the event. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideAskQuestion", Type=typeof(GLib.MountOperation))
  System.Void `` `` To be added. To be added. Default handler for the event. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideReply", Type=typeof(GLib.MountOperation))
  System.Void `` To be added. Default handler for the event. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideShowProcesses", Type=typeof(GLib.MountOperation))
  System.Void `` `` `` To be added. To be added. To be added. Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  GLib.Property("password")
  System.String The password that is used for authentication The password that is used for authentication when carrying out the mount operation. Default value: null.
- Property
  GLib.Property("password-save")
  GLib.PasswordSave Ff and how the password information should be saved. Determines if and how the password information should be saved. Default value:
- Event
  GLib.Signal("reply")
  GLib.ReplyHandler Emitted when the user has replied to the mount operation. To be added.
- Event
  GLib.Signal("show-processes")
  GLib.ShowProcessesHandler To be added. To be added.
- Property
  GLib.Property("username")
  System.String The user name that is used for authentication. The user name that is used for authentication when carrying out the mount operation. Default value: null.